#include <stdio.h>
main()
{
	int A,B,C,D;
	scanf("%d %d", &B, &C);
	if (B-255>0)
		printf("0");
	else if (C-255>0)
		printf("0");
	else if(B+C>255)
		printf("0");
	else if (B+C<255)
	{
		if (B>C)
		{
			A=256-B;
			printf("%d",A);
		}
		else if (B<C)
		{
			A=256-C;
			printf("%d",A);
		}
		else if (B==C)
		{
			A=256-B;
			printf("%d",A);
		}
	}
	system("PAUSE");
	return 0;
}